Subject: Re: Kernel panic eth2 mirred redirect to ifb0

From: Jarek Poplawski <[email-masked]>
Date: Mon, 20 Dec 2010 10:32:27 +0000

On Mon, Dec 20, 2010 at 10:21:25AM +0100, Eric Dumazet wrote:
> Le lundi 20 décembre 2010 ?? 17:11 +0800, Changli Gao a écrit :
> > Yes, you are right. I just wonder where shared skbs are allowed. Is
> > there any rule?
> > 
> 
> Shared skbs are allowed for sure (pktgen is a provider of such skbs).

But pktgen doesn't use common dev_queue_xmit() path. It looks like
some places checking segmentation call pskb_expand_head() assuming skb
isn't shared. Btw, it seems ifb should have GSO features similarly to
loopback. Anyway, until all this is verified, IMHO we should revert
Changli's mirred patch in stable.

Jarek P.